Jump to content
ElementaryOS France
  • 0

Fichiers executable


jmi42
 Share

Question

Bonjour,

 

Je suis un nouvel utilisateur depuis aujourd'hui, je ne sais pas si la discussion mérite d'être ouverte ici mais je n'est pas trouver de réponse à ma question.

Je cherche à installer un logiciel appeler "EMA emailing", j'ai télécharger le logiciel sous linux. Dans "téléchargement" il apparaît sous "EMA.tar.gz".

Je l'ai décompressé et me retrouve devant un fichier dit "exécutable" mais lorsque je clique dessus rien ne se passe. eOS m'a fait télécharger "Pypar2" mais je ne comprend pas comment le faire fonctionner.

 

J'ai besoin d'aide

 

Merci.

Link to comment
Share on other sites

17 answers to this question

Recommended Posts

  • 0

Salut jmi42,

 

En allant sur le site de EMA emailing il est dit dans la FAQ que pour un Linux 64bits (ce qui doit sans doute être ton cas) il faut préalablement avoir installé le paquet ia32-libs . Essaye donc

sudo apt-get install ia32-libs

Cependant il arrive que l'installation de ce paquet soit difficile... Ce que je ne te souhaite pas mais si c'est ton cas (erreur de multiarch etc) il te faudra te référer à ce guide http://ubuntuforums.org/showthread.php?t=2025560&p=12246372#post12246372

 

Pour avoir plus d'informations sur l'erreur que rencontre le programme il te faudra le lancer depuis un terminal avec les commandes:

cd Téléchargements/EMA

chmod +x EMA

./EMA

J'ai par contre l'impression que l'executable EMA cherche les fichiers .so du sous-dossier EMA Libs dans son propre dossier (chez moi c'est ce qu'il fait en tout cas...) donc si les problèmes persistent encore après avoir installé ia32-libs il faudra essayer de les déplacer...

 

Voili voilou, un peu rude pour un premier jour d'utilisation mais ça vient d'un manque de bonne volonté des développeurs de EMA (pour info y'a le même soucis avec Skype...)

Link to comment
Share on other sites

  • 0

Merci pour ta réponse mais étant donné que c'est mon premier jour ben forcément ça marche pas du premier coup.

 

J'ai essayer "sudo apt-get install ia32-libs" et il me marque "[sudo] password for mon nom".

 

La impossible d’écrire quoi que ce soit.

 

De même j'ai suivi le lien qui mène vers Ubuntu.... et la pareil, il me demande "password" et je ne peut plus rien écrire.

 

J'apprécie ton aide et ne désespère pas de trouver "la" solution.

 

Si par hasard il été possible d'installer un logiciel équivalant je suis preneur.

 

Merci.

Link to comment
Share on other sites

  • 0

Pas de soucis c'est normal, alors quand il s'agit de rentrer ton mot de passe dans un terminal (avec sudo ou su principalement) tu ne vois pas les lettres du mot de passe, pas même des petites étoiles en fait. C'est une question de sécurité, il te faudra taper ton mot de passe à l'aveugle et si y'a des chiffres fais gaffe au majuscules (pas de ver maj comme sous windows si c'est l'habitude que tu as) Ensuite la touche entrer et c'est bon.

 

Je ne connais pas de logiciel équivalant mais ça doit sans doute exister.

Link to comment
Share on other sites

  • 0

La commande est:

sudo apt-get install ia32-libs

 

Si l'erreur obtenue est:

ia32-libs : Dépend: ia32-libs-multiarch

 

Alors il faut suivre le guide que je t'ai envoyé un peu plus haut (en anglais) ou alors, une autre solution que je viens de trouver: lancer cette commande:

sudo apt-get install ia32-libs-multiarch:i386 gtk2-engines-murrine:i386

 

Ça devrait installer beaucoup de paquets puis le logiciel EMA devrait fonctionner. Sinon si tu ne veux vraiment pas t'embeter tu peux réinstaller elementaryos en 32 bits plutôt qu'en 64 bits et EMA devrait fonctionner sans encombres.

 

Courage ;)

Link to comment
Share on other sites

  • 0

voici la réponse obtenu apres la manip que tu vient de me donner:

 

Impossible d'obtenir le verrou / var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)

 

Impossible de verrouiller le repertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.

 

Pour le lien du site en anglais je vais essayer mais j'suis pas sur de mes compétences.

 

Merci encore.

 

Keep going on...

Link to comment
Share on other sites

  • 0

Non ça ne fonctionnera pas ;) l'erreur precédente veut dire qu'il y'a dejà une instance de apt en arrière plan qui l'utilise. Reboote et réessaye la dernière commande ce sera le plus simple...

Link to comment
Share on other sites

  • 0

Bonjour,

 

je m'y remet avec espoir. Le reboot n'a rien donner. Je crois que le problème est plus profond. Je n'arrive jamais à installer simplement le moindre logiciel. Par exemple tout ce qui est .tar.gz, je dois passer par Pypar2, j'y comprend rien, c'est pas simple.

 

De plus hier j'ai suivi tes conseil en voulant passer à la version 32bit, mais la pareil, mon portable n'a pas de lecteur CD, donc je télécharge le logiciel pour mettre tout ça sur usb et ben pareil impossible de l'installer.

 

J'ai louper un truc à mem donné car tout devrait être plus simple je n'en doute pas.

 

J'ai essayer de faire l'ensemble des manip que tu m'a proposer et rien ça bloque à chaque fois.

 

Merci.

Link to comment
Share on other sites

  • 0

Je viens de rentrer cette ligne de code : sudo apt-get install ia32-libs-multiarch:i386 gtk2-engines-murrine:i386

 

Ca à marcher mais toujours impossible d'ouvrir des fichiers "executable" comme EMA. Des que je clique dessus y'a Pypar 2 qui me demande un truc.

 

Bref ca s'ouvre pas simplement

Link to comment
Share on other sites

  • 0

bonjour,

 

Toujours un probleme de compréhension du systeme.. Une fois les fichiers .tgz (par exemple) décompréssé je ne trouve pas de module "install" façon wizard. J'ai lu plusieur topic et rien ne répond a mon probleme jusque là.

 

J'en revient à mon premier probleme avec le logiciel EMA par exemple, qui affiche un logo "executable", lorsque je clique dessus rien ne vient.

 

Pour faire simple tout ce qui ne provient pas de la logitec ne fonctionne pas.

 

Merci de répondre, je suis bloqué et en plus c'est pour mon taf tout ça ...

 

 

Merci d'avance.

Link to comment
Share on other sites

  • 0

Bon on va repartir de zéro... Déjà on va réinstaller elementaryos en 32 bits.

Tu ouvres un terminal à partir du menu Applications et tu y rentres les commandes suivantes: (même histoire que la dernière fois pour ce qui est des mots de passe...)

sudo add-apt-repository ppa:gezakovacs/ppa

sudo apt-get update

sudo apt-get install unetbootin

unetbootin

 

La fenêtre de création de LiveUSB va apparaitre, tu crées donc ton LiveUSB à partir de l'iso d'elementaryos *32 bits* cette fois ci. (tu dois savoir faire ça si tu l'as déjà fait une fois) Tu installes comme la dernière fois, mais par dessus l'actuelle elementary.

À partir de là tu ne devrais plus avoir de problèmes pour lancer EMA qui est problématique en 64 bits...

 

--

 

Bon maintenant une autre mise au point de manière plus générale... Linux n'est pas Windows, et la gestion des logiciels sous Linux n'est donc pas la gestion des logiciels sous Windows. Ne cherche pas à garder les mêmes habitudes d'installation par des wizards. Si jamais tu veux installer un logiciel passe toujours par le gestionnaire de paquets, dans 99% des cas y'a un paquet pour ce que tu cherches et elementaryos reste très simple d'utilisation. Malheureusement dans le cas de EMA ce n'est pas le cas et comme tu peux le voir on se retrouve avec des emmerdes... Bon tu me diras, quand il faut, il faut, mais c'est plus compliqué que avec des paquets (.deb) normaux donc il faut accepter de "mettre les mains dans le cambouis". Il faudrait déjà que tu retiennes que:

- un fichier .tar.gz est une simple archive compressée, exactement comme un .rar ou un .zip . Donc un .tar.gz peut contenir tout autre chose qu'un logiciel, ou qu'un installateur...

- Pypar2 n'a *rien à voir* avec la décompression des .tar.gz, je ne sais même pas comment tu t'es retrouvé avec ça installé mais bon n'en parlons plus, il ne sera plus sur ton nouveau système elementaryos 32 bits.

- Un exécutable sous Linux n'est pas défini comme sous Windows par une extension en .exe ou quoi que ce soit. Ça peut être n'importe quel fichier mais il doit avoir *l'attribut exécutable*. Si tu veux cocher l'attribut exécutable depuis elementaryos tu peux faire un click droit puis Propriétés et dans l'onglet "Plus" enfoncer les boutons "Exécution". (pour qu'ils soient gris plus foncé) Pour info, depuis un terminal c'est la commande "chmod +x lenomdufichieràrendrexecutable".

- Si un logiciel ne se lance pas sans rien afficher, le mieux est encore une fois d'utiliser le terminal pour avoir des informations sur pourquoi le logiciel ne fonctionne pas, dans le meilleur des cas ça t'aide toi à comprendre l'erreur ou à la chercher sur google, dans le pire des cas tu peux demander à quelqu'un d'autre avec des informations un peu plus utiles que "j'ai un logiciel qui ne se lance pas"

 

Je comprend très bien que tous ces concepts ne sont pas faciles à intégrer dès un premier jour d'utilisation de Linux, mais sans avoir recours à des logiciels exotiques et non empaquetés comme EMA tu n'aurais aucune raison de rencontrer ces problèmes... Mais surtout, retiens que Linux n'est pas un Windows gratuit, tu changes de système donc il faut t'attendre à changer quelques une de tes habitudes. ;)

Link to comment
Share on other sites

  • 0

merci pour cette reponse j'essaye ce soir de créer la clé usb. Aujourd'hui j'ai eu le temps de me familiariser avec le terminal et ça rentre doucement mais surement.

 

Derniere question, le gestionnaire de paquet est-il un logiciel qui permet d'installer des paquets sur le systeme et si oui lequel dois ej telecharger. sinon je cherhce un tuto qui m'explique (et que je puisse lire) comment installer un .deb de A à Z.

 

Merci encore et je revient apres la manip unebootin.

Link to comment
Share on other sites

  • 0

Ben la je plante, il reconnait pas l'usb, me demande de la formater en FAT 32, ce que je fais et la rien. J'essaye une autre USB, neuve du commerce et pareil.

 

Donc je bloque sur une autre étape...

 

Merci

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...